###################################################################################
# LabTestSim - Laboratory Test Simulator using Elastoplastic models               #
# Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>     #
#                                                                                 #
# This file is part of LabTestSim.                                                #
#                                                                                 #
# LabTestSim is free software; you can redistribute it and/or modify it under the #
# terms of the GNU General Public License as published by the Free Software       #
# Foundation; either version 2 of the License, or (at your option) any later      #
# version.                                                                        #
#                                                                                 #
# LabTestSim is distributed in the hope that it will be useful, but WITHOUT ANY   #
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A #
# PARTICULAR PURPOSE. See the GNU General Public License for more details.        #
#                                                                                 #
# You should have received a copy of the GNU General Public License along with    #
# LabTestSim; if not, write to the Free Software Foundation, Inc., 51 Franklin    #
# Street, Fifth Floor, Boston, MA 02110-1301, USA                                 #
###################################################################################

CC         = g++
PKG_CONFIG = pkg-config
CFLAGS     = -g -Wall $(GLADEFILEDIR) `$(PKG_CONFIG) gtkmm-2.4 --cflags` `$(PKG_CONFIG) libglademm-2.4 --cflags`
LDFLAGS    = `$(PKG_CONFIG) gtkmm-2.4 --libs` `$(PKG_CONFIG) libglademm-2.4 --libs`

PROG = test
DEPS = gui.h mywindow.h
SRCS = $(DEPS:.h=.cpp) test.cpp
OBJS = $(SRCS:.cpp=.o)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDFLAGS) -o $@

%.o: %.cpp $(DEPS)
	$(CC) $(CFLAGS) $(INCS) -c $<

clean:
	rm -f *.o

kill:
	rm -f *.o $(PROG)
